org.eclipse.microprofile.metrics.tck.metrics

## Class MeteredClassBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.MeteredClassBean

    @Metered(name="meteredClass")
    public class MeteredClassBean
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`MeteredClassBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `meteredMethodOne()`
`protected void` `meteredMethodProtected()`
`void` `meteredMethodTwo()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MeteredClassBean

    public MeteredClassBean()

### Method Detail

#### meteredMethodOne

    public void meteredMethodOne()

#### meteredMethodTwo

    public void meteredMethodTwo()

#### meteredMethodProtected

    protected void meteredMethodProtected()